Redirection for Contact Form 7

Information

Software Type Plugin
Software Slug wpcf7-redirect (view on wordpress.org)
Software Status Active
Software Author themeisle
Software Downloads 3,552,392
Software Active Installs 300,000
Software Record Last Updated June 15, 2024

11 Vulnerabilities

Title Status CVE ID CVSS Researchers Date
Redirection for Contact Form 7 <= 2.9.2 - Missing Authorization Patched CVE-2023-39920 5.3 Nguyen Anh Tien October 3, 2023
Freemius SDK <= 2.5.9 - Reflected Cross-Site Scripting via fs_request_get Patched CVE-2023-33999 6.1 Rafie Muhammad July 18, 2023
Redirection for Contact Form 7 <= 2.7.0 - Authenticated(Editor+) Privilege Escalation Patched CVE-2023-23990 7.2 Rafie Muhammad February 6, 2023
Redirection for Contact Form 7 <= 2.4.0 - Missing Authorization Patched CVE-2021-36913 5.3 mirphak September 29, 2022
Redirection for Contact Form 7 <= 2.4.0 - Reflected Cross-Site Scripting Patched CVE-2022-0250 6.1 ZhongFu Su March 7, 2022
Freemius SDK <= 2.4.2 - Missing Authorization Checks Patched 6.3 March 4, 2022
Redirection for Contact Form 7 <= 2.3.3 - Authenticated Arbitrary Plugin Installation Patched CVE-2021-24279 6.5 Chloe Chamberland April 20, 2021
Redirection for Contact Form 7 <= 2.3.3 - Unauthenticated Arbitrary Nonce Generation Patched CVE-2021-24278 7.5 Chloe Chamberland April 20, 2021
Redirection for Contact Form 7 <= 2.3.3 - Authenticated PHP Object Injection Patched CVE-2021-24280 8.8 Chloe Chamberland April 20, 2021
Redirection for Contact Form 7 <= 2.3.3 - Unprotected AJAX Actions Patched CVE-2021-24282 6.3 Chloe Chamberland April 20, 2021
Redirection for Contact Form 7 <= 2.3.3 - Authenticated Arbitrary Post Deletion Patched CVE-2021-24281 4.3 Chloe Chamberland April 20, 2021

Did you know Wordfence Intelligence provides free personal and commercial API access to our comprehensive WordPress vulnerability database, along with a free webhook integration to stay on top of the latest vulnerabilities added and updated in the database? Get started today!

Learn more

Want to get notified of the latest vulnerabilities that may affect your WordPress site?
Install Wordfence on your site today to get notified immediately if your site is affected by a vulnerability that has been added to our database.

Get Wordfence

The Wordfence Intelligence WordPress vulnerability database is completely free to access and query via API. Please review the documentation on how to access and consume the vulnerability data via API.

Documentation